Read an agent conversation's entries
curl --request GET \
--url https://platform.usecontextlayer.com/api/slates/{target}/agents/{name}/{actor}/conversations/{conversationId}/entries \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.usecontextlayer.com/api/slates/{target}/agents/{name}/{actor}/conversations/{conversationId}/entries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.usecontextlayer.com/api/slates/{target}/agents/{name}/{actor}/conversations/{conversationId}/entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.usecontextlayer.com/api/slates/{target}/agents/{name}/{actor}/conversations/{conversationId}/entries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://platform.usecontextlayer.com/api/slates/{target}/agents/{name}/{actor}/conversations/{conversationId}/entries"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://platform.usecontextlayer.com/api/slates/{target}/agents/{name}/{actor}/conversations/{conversationId}/entries")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform.usecontextlayer.com/api/slates/{target}/agents/{name}/{actor}/conversations/{conversationId}/entries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"conversationId": 123,
"id": 123,
"kind": "<string>",
"byTaskId": 123,
"data": "<unknown>",
"edits": [
{
"action": "omit",
"target": 123,
"messages": [
{
"role": "system",
"timestamp": 123
}
]
}
],
"head": 123,
"model": [
{
"role": "system",
"timestamp": 123
}
]
}
],
"next": {}
}Agent conversations
Read an agent conversation's entries
Page native Pi entries for a conversation in the selected user or app agent instance. Requires slate management permission. Entry bounds are inclusive; equal minEntryId and maxEntryId with limit=1 retrieves an exact answer. Preserve the selected actor when returning a native cursor.
Read an agent conversation's entries
curl --request GET \
--url https://platform.usecontextlayer.com/api/slates/{target}/agents/{name}/{actor}/conversations/{conversationId}/entries \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.usecontextlayer.com/api/slates/{target}/agents/{name}/{actor}/conversations/{conversationId}/entries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.usecontextlayer.com/api/slates/{target}/agents/{name}/{actor}/conversations/{conversationId}/entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.usecontextlayer.com/api/slates/{target}/agents/{name}/{actor}/conversations/{conversationId}/entries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://platform.usecontextlayer.com/api/slates/{target}/agents/{name}/{actor}/conversations/{conversationId}/entries"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://platform.usecontextlayer.com/api/slates/{target}/agents/{name}/{actor}/conversations/{conversationId}/entries")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform.usecontextlayer.com/api/slates/{target}/agents/{name}/{actor}/conversations/{conversationId}/entries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"conversationId": 123,
"id": 123,
"kind": "<string>",
"byTaskId": 123,
"data": "<unknown>",
"edits": [
{
"action": "omit",
"target": 123,
"messages": [
{
"role": "system",
"timestamp": 123
}
]
}
],
"head": 123,
"model": [
{
"role": "system",
"timestamp": 123
}
]
}
],
"next": {}
}Authorizations
bearerAuthwebCookielocalWebCookie
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Agent directory name under agents/ in the pushed source.
Minimum string length:
1Required instance address: user selects the authenticated caller's SlateAgent; app selects this named agent's app SlateAgent. Native IDs and cursors belong to that instance.
Available options:
user, app Query Parameters
Available options:
ascending, descending JSON-encode the previous page's native next cursor without changing it.